FLANG

Public Member Functions | List of all members
Fortran::parser::Messages Class Reference

## Public Member Functions
| Messages (Messages &&that)
Messages & | operator= (Messages &&that)
std::forward_list< Message > & | messages ()
bool | empty () const
void | clear ()
template<typename... A>
Message & | Say (A &&... args)
void | Annex (Messages &&that)
void | Restore (Messages &&that)
bool | Merge (const Message &)
void | Merge (Messages &&)
void | Copy (const Messages &)
void | ResolveProvenances (const CookedSource &)
void | Emit (llvm::raw_ostream &, const CookedSource &cooked, bool echoSourceLines=true) const
void | AttachTo (Message &)
bool | AnyFatalError () const

The documentation for this class was generated from the following files:

- include/flang/Parser/message.h
- lib/Parser/message.cpp